Add one or more files as attachments to a specific comment. Supports various file types including images and documents.
POST
/actions/tasks/{task_id}/comments/{comment_id}/add-attachment
curl
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/add-attachment" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/add-attachment"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/add-attachment' \
--header "Authorization: $API_KEY"
Response examples (201)
[
{
"id": "d57d9hd7-fh08-7998-d403-80786315f58",
"name": "document.pdf",
"mimetype": "application/pdf",
"size": 1024000,
"comment_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
]